For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • GETGet all Lease Transfers
        • GETGet Lease Transfer by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTLeases

Get a lease by ID

GET
/v1/leases/:lease_id
GET
/v1/leases/:lease_id
$curl https://api.propexo.com/v1/leases/lease_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "application_date": null,
13 "balance_amount_in_cents": null,
14 "balance_amount_raw": null,
15 "created_at": "2024-03-21T15:38:08.337Z",
16 "custom_data": {},
17 "deposit_amount": null,
18 "deposit_amount_in_cents": null,
19 "deposit_date": null,
20 "end_date": "2024-04-30T00:00:00.000Z",
21 "id": "clwktsp9v000008l31iv218hn",
22 "integration_id": "clwh5u07w000508me66sfh3um",
23 "integration_vendor": "YARDI_REST",
24 "last_seen": "2024-03-22T10:59:45.119Z",
25 "past_due_balance_in_cents": null,
26 "past_due_balance_raw": null,
27 "property_id": "clwi5xiix000008l6ctdgafyh",
28 "realized_move_in_date": "2023-12-27T00:00:00.000Z",
29 "realized_move_out_date": "2021-07-14T00:00:00.000Z",
30 "rent_amount_in_cents": 90000,
31 "rent_amount_market_in_cents": 90000,
32 "rent_due_date": null,
33 "rent_due_day": 1,
34 "residents_meta_data": [
35 {
36 "resident_id": "cm2dtz59900028loz202w0o33",
37 "x_resident_type": "Resident",
38 "resident_type_normalized": "PRIMARY",
39 "move_in_date": "2023-12-27T00:00:00.000Z",
40 "move_out_date": "2021-07-14T00:00:00.000Z",
41 "notice_date": "2021-07-14T00:00:00.000Z",
42 "custom_data": {},
43 "last_seen": "2024-03-22T10:59:45.119Z"
44 }
45 ],
46 "scheduled_move_in_date": "2023-12-27T00:00:00.000Z",
47 "services": [
48 {
49 "id": "clwktsp9v000008l31iv218hn",
50 "created_at": "2024-03-21T15:38:08.337Z",
51 "updated_at": "2024-03-22T10:59:45.119Z",
52 "last_seen": "2024-03-22T10:59:45.119Z",
53 "name": "string",
54 "lease_id": "string"
55 }
56 ],
57 "signature_date": "2023-12-27T00:00:00.000Z",
58 "start_date": "2023-05-01T00:00:00.000Z",
59 "status_normalized": "PENDING",
60 "status_raw": "Future",
61 "term": null,
62 "type": "Residential",
63 "unit_id": "cmj92hecy2986129914pbus5mtvde1i",
64 "unit_number": "101",
65 "updated_at": "2024-03-22T10:59:45.119Z",
66 "write_off_amount_in_cents": null,
67 "write_off_amount_raw": null,
68 "x_id": "t0172032",
69 "x_property_id": "3299",
70 "x_unit_id": "101",
71 "scheduled_move_out_date": null,
72 "status": "string",
73 "x_resident_id": "string"
74 }
75}
Get a lease by ID
Was this page helpful?
Previous

Get all Lease Transfers

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error